Skip to main content
POST
Reject an offer

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

userId
string
required

ID of the user.

Pattern: ^user_[A-Za-z0-9]+$
walletId
string
required

Public ID of the wallet (prefixed with wlt_)

offerId
string
required

Public ID of the Canton offer (prefixed with offer_)

Response

Canton offer rejected successfully.

A Canton transfer offer directed at a HIFI-provisioned Canton wallet.

id
string

Public ID of the offer (prefixed with offer_).

Example:

"offer_3Kf9dQ2mNpXwZ7bV1aLcs"

status
string

Current status of the offer.

Example:

"RECEIVED"

amount
string

Offer amount.

Example:

"100.00"

currency
string
Example:

"USDCX"

source
object

Source party of the Canton offer.

destination
object

Destination of the Canton offer.

creationTransactionHash
string
Example:

"0xabc123def4567890abc123def4567890abc123def4567890abc123def4567890"

executionTransactionHash
string | null
Example:

null

createdAt
string<date-time>
Example:

"2026-07-01T10:30:00.000Z"

updatedAt
string<date-time>
Example:

"2026-07-01T10:30:00.000Z"

expiresAt
string<date-time> | null
Example:

"2026-07-02T10:30:00.000Z"